<?php

/**
 * Table tl_form_submissions_data 
 */
$GLOBALS['TL_DCA']['tl_form_submissions_data'] = array
    (
    // Config
    'config' => array
        (
        'dataContainer' => 'Table',
        'ptable' => 'tl_form_submissions',
        'closed' => true,
        'notEditable' => true,
        'sql' => array
            (
            'keys' => array
                (
                'id' => 'primary',
                'pid' => 'index'
            )
        )
    ),
    // Palettes
    'palettes' => array
        (
        'default' => '{data_legend},data;'
    ),
    // Fields
    'fields' => array
        (
        'id' => array
            (
            'sql' => "int(10) unsigned NOT NULL auto_increment"
        ),
        'pid' => array
            (
            'label' => &$GLOBALS['TL_LANG']['tl_form_submissions_data']['pid'],
            'foreignKey' => 'tl_form_submissions.form_title',
            'sql' => "int(10) unsigned NOT NULL default '0'",
            'relation' => array('type' => 'belongsTo', 'load' => 'eager')
        ),
        'form_id' => array
            (
            'label' => &$GLOBALS['TL_LANG']['tl_form_submissions_data']['form_id'],
            'foreignKey' => 'tl_form.id',
            'sql' => "int(10) unsigned NOT NULL default '0'",
            'relation' => array('type' => 'belongsTo')
        ),
        'tstamp' => array
            (
            'label' => &$GLOBALS['TL_LANG']['tl_form_submissions']['tstamp'],
            'filter' => true,
            'sorting' => true,
            'flag' => 6,
            'sql' => "int(10) unsigned NOT NULL default '0'"
        ),
        'data' => array
            (
            'label' => &$GLOBALS['TL_LANG']['tl_form_submissions_data']['data'],
            'exclude' => true,
            'search' => true,
            'inputType' => 'textarea',
            'eval' => array('rte' => 'tinyMCE', 'tl_class' => 'clr'),
            'sql' => "text NULL"
        )
    )
);
